#!/bin/bash

echo "Checking for python"
which python > /dev/null
if [[ $? != 0 ]]
then
  echo "ERROR: Install python prior to running this install"
  exit 1
fi

# Install pip if missing
echo "Checking for pip"
which pip > /dev/null
if [[ $? != 0 ]]
then
  echo "Installing pip"
  sudo /usr/bin/easy_install pip
fi

# Install requests library if missing
echo "Checking for requests module"
python -c 'import requests' > /dev/null
if [[ $? != 0 ]]
then
  echo "Install requests library"
  sudo pip install requests
fi

# Make executable
echo "Making script executable"
chmod u+x ./aptrinsic-loader

echo "Install Done"
